Show / Hide Table of Contents

# Class ColoredConsolePrinter

Prints a pretty message to the console.

##### Inheritance

Object
LogPrinter
ColoredConsolePrinter

##### Inherited Members

LogPrinter.StartPrint()
LogPrinter.EndPrint()
Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: IPA.Logging.Printers

###### Assembly: IPA.Loader.dll

##### Syntax

    public class ColoredConsolePrinter : LogPrinter

### Properties

| Improve this Doc View Source

#### Color

The color to print messages as.

##### Declaration

    public ConsoleColor Color { get; set; }

##### Property Value

Type | Description
--- | ---
ConsoleColor | the color to print this message as

| Improve this Doc View Source

#### Filter

A filter for this specific printer.

##### Declaration

    public override Logger.LogLevel Filter { get; set; }

##### Property Value

Type | Description
--- | ---
Logger.LogLevel | the filter to apply to this printer

##### Overrides

LogPrinter.Filter

### Methods

| Improve this Doc View Source

#### Print(Logger.Level, DateTime, String, String)

Prints an entry to the console window.

##### Declaration

    public override void Print(Logger.Level level, DateTime time, string logName, string message)

##### Parameters

Type | Name | Description
--- | --- | ---
Logger.Level | level | the Logger.Level of the message
DateTime | time | the DateTime the message was recorded at
String | logName | the name of the log that sent the message
String | message | the message to print

##### Overrides

LogPrinter.Print(Logger.Level, DateTime, String, String)

### Extension Methods

ReflectionUtil.SetField<T, U>(T, String, U)
ReflectionUtil.GetField<U, T>(T, String)
ReflectionUtil.SetProperty<T, U>(T, String, U)
ReflectionUtil.GetProperty<U, T>(T, String)
ReflectionUtil.InvokeMethod<U, T>(T, String, Object[])